Trigger Workflow (single or bulk)
API to trigger multi-step workflow to one or more users/objects by passing workflow slug, via POST /trigger/.
Send a single JSON object to trigger one workflow, or an array of objects to trigger multiple workflows in one call.
Documentation Index
Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /trigger/), just pass array of entire workflow object in the body.Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Body
- Single workflow trigger · object
- Bulk workflow trigger · object[]
Send a single workflow trigger object as the request body.
You can get workflow slug from workflow settings on SuprSend dashboard.
List of recipients to be notified. You can either add recipient as array of distinct_ids or array of recipient objects. You can add up to 100 recipients in a single API.
You can pass user properties and channels inline in workflow trigger request. Properties and channels passed here also update in user profile on workflow trigger.
- Identify user inline
- Notify object
Includes distinct_id and properties of the user who performed the action. You can use it for cross-user notifications [blocked]. Actor properties can be added as $actor.<prop>.
variable data required to render dynamic template content or workflow properties like dynamic delay or channel override in send node.
string identifier of the tenant/tenant this workflow is associated with. Used to trigger multi-tenant notifications
Idempotency_key (valid for 24hrs)
Response
202 - Accepted (returned for single workflow trigger requests).
All workflow requests will be accepted as long as the API request is correct. To verify if the execution was successful, check the 'Requests' tab under the 'Logs' section on the SuprSend dashboard.